import type { RecordCard, AbyssBattle, Full, RealTimeNote, APIResponse } from "../interface";
import type { Language } from "../constants/lang";
import type { ClientCookieManager } from "./clientCookieManager";
export declare class Client {
    private options;
    private cookieManager;
    /**
     * @param {ClientCookieManager} cookieManager - The cookie manager to use.
     * @param {Object} options - The options to use.
     */
    constructor(cookieManager: ClientCookieManager, options: {
        language: Language | Language.EnglishUS;
    });
    /**
     * @param {string} uid - Genshin Impact game uid.
     */
    getAbyssBattle(uid: string, previous?: boolean): Promise<AbyssBattle | APIResponse>;
    /**
     * @param {string} uid - HoYolab uid.
     */
    getGameRecordCard(uid: string): Promise<RecordCard>;
    /**
     * @param {string} uid - Genshin Impact game uid.
     */
    getGenshinUser(uid: string): Promise<Full | APIResponse>;
    /**
     * @param {string} uid - Genshin Impact game uid.
     */
    getRealTimeNotes(uid: string): Promise<RealTimeNote>;
}
