export declare class ClientCookieManager {
    private cookie;
    amount(): number;
    /**
     * @param {string} ltoken - The ltoken to set.
     * @param {string} ltuid - The ltuid to set.
     *
     */
    set(ltoken: string, ltuid: string): void;
    /**
     * @description Get the ltoken and ltuid for request.
     * @returns {Object} - The ltoken and ltuid.
     */
    get(): {
        ltoken?: string;
        ltuid?: string;
        key: number;
    };
    delete(key: number): void;
    clear(): void;
    getAll(): {
        ltoken: string[];
        ltuid: string[];
    };
    mark(key: number): void;
}
