"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ClientCookieManager = void 0;
class ClientCookieManager {
    constructor() {
        Object.defineProperty(this, "cookie", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: {
                vaild: {
                    ltuid: [],
                    ltoken: [],
                },
                invalid: {
                    timeOut: 0,
                    ltuid: [],
                    ltoken: [],
                },
            }
        });
    }
    amount() {
        return this.cookie.vaild.ltoken.length;
    }
    /**
     * @param {string} ltoken - The ltoken to set.
     * @param {string} ltuid - The ltuid to set.
     *
     */
    set(ltoken, ltuid) {
        this.cookie.vaild.ltoken.push(ltoken);
        this.cookie.vaild.ltuid.push(ltuid);
    }
    /**
     * @description Get the ltoken and ltuid for request.
     * @returns {Object} - The ltoken and ltuid.
     */
    get() {
        if (this.amount() === 1) {
            return {
                ltoken: this.cookie.vaild.ltoken[0],
                ltuid: this.cookie.vaild.ltuid[0],
                key: 0,
            };
        }
        const randomIndex = Math.floor(Math.random() * this.amount());
        return {
            ltoken: this.cookie.vaild.ltoken[randomIndex],
            ltuid: this.cookie.vaild.ltuid[randomIndex],
            key: randomIndex,
        };
    }
    delete(key) {
        this.cookie.vaild.ltoken.splice(key, 1);
        this.cookie.vaild.ltuid.splice(key, 1);
    }
    clear() {
        this.cookie.vaild.ltoken = [];
        this.cookie.vaild.ltuid = [];
    }
    getAll() {
        return {
            ltoken: this.cookie.vaild.ltoken,
            ltuid: this.cookie.vaild.ltuid,
        };
    }
    mark(key) {
        this.cookie.invalid.ltoken.push(this.cookie.vaild.ltoken[key]);
        this.cookie.invalid.ltuid.push(this.cookie.vaild.ltuid[key]);
    }
}
exports.ClientCookieManager = ClientCookieManager;
