"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GameRecordCard = void 0;
const request_1 = require("../utils/request");
const error_1 = require("../utils/error");
class GameRecordCard {
    /**
       *
       * @param {string} language The language to set
       * @param {string} cookie The cookie to set
       * @param {string} uid Hoyolab uid
       *
       */
    async get(uid, language, cookie) {
        var _a;
        const instance = (0, request_1.request)({
            type: request_1.optionType.hoyolab,
        });
        (0, request_1.setLanguage)(language);
        const res = await instance.get("/getGameRecordCard", {
            headers: {
                "Cookie": cookie,
            },
            params: {
                "uid": uid,
            },
        });
        if (((_a = res.data) === null || _a === void 0 ? void 0 : _a.retcode) === 0) {
            const { data } = res.data;
            return {
                list: data,
                currecnt: data.list[0],
            };
        }
        throw new error_1.APIError(res.data.message, res.data.retcode);
    }
}
exports.GameRecordCard = GameRecordCard;
