"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Charcters = void 0;
const tslib_1 = require("tslib");
const request_1 = require("../utils/request");
const generate_ds_1 = tslib_1.__importDefault(require("../utils/generate_ds"));
const getServer_1 = require("../utils/getServer");
const error_1 = require("../utils/error");
class Charcters {
    /**
       *
       * @param {string} language The language to set
       * @param {string} cookie The cookie to set
       * @param {string} uid The uid to set
       *
       */
    async get(uid, language, cookie) {
        var _a;
        const instance = (0, request_1.request)();
        (0, request_1.setLanguage)(language);
        const res = await instance.post('/character', {
            "role_id": uid,
            "server": (0, getServer_1.checkServerRegion)(uid),
        }, {
            headers: {
                "x-rpc-client_type": "4",
                "x-rpc-app_version": "1.5.0",
                "DS": (0, generate_ds_1.default)(),
                "Cookie": cookie,
            },
        });
        if (((_a = res.data) === null || _a === void 0 ? void 0 : _a.retcode) === 0)
            return res.data.data.avatars;
        if (res.data.retcode === 10101) {
            return {
                status: "Cannot get data for more than 30 accounts per cookie per day",
                code: 10101,
            };
        }
        throw new error_1.APIError(res.data.message, res.data.retcode);
    }
    async getAvatarInfo(characterId, language, cookie) {
        var _a;
        const instance = (0, request_1.request)();
        (0, request_1.setLanguage)(language);
        const res = await instance.post('/avatarBasicInfo', {
            "character_ids": [characterId],
        }, {
            headers: {
                "x-rpc-client_type": "4",
                "x-rpc-app_version": "1.5.0",
                "DS": (0, generate_ds_1.default)(),
                "Cookie": cookie,
            },
        });
        if (((_a = res.data) === null || _a === void 0 ? void 0 : _a.retcode) === 0)
            return res.data.data.avatars[0];
        if (res.data.retcode === 10101) {
            return {
                status: "Cannot get data for more than 30 accounts per cookie per day",
                code: 10101,
            };
        }
        throw new error_1.APIError(res.data.message, res.data.retcode);
    }
}
exports.Charcters = Charcters;
