"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setLanguage = exports.request = exports.optionType = void 0;
const tslib_1 = require("tslib");
const axios_1 = tslib_1.__importDefault(require("axios"));
const constants_1 = require("../constants/constants");
/**
 * @description Creates a new axios instance with the base url set to the api url
 */
var optionType;
(function (optionType) {
    optionType["hoyolab"] = "hoyolab";
    optionType["dailyrewards"] = "dailyrewards";
})(optionType = exports.optionType || (exports.optionType = {}));
const request = (option) => {
    let baseURL = constants_1.Genshin_Battle_API_URL;
    if ((option === null || option === void 0 ? void 0 : option.type) === optionType.hoyolab) {
        baseURL = constants_1.Genshin_Hoyolab_API_URL;
    }
    if ((option === null || option === void 0 ? void 0 : option.type) === optionType.dailyrewards) {
        baseURL = constants_1.Genshin_Hoyolab_REWARD_URL;
    }
    if (option === null || option === void 0 ? void 0 : option.withUA) {
        axios_1.default.defaults.headers.common['User-Agent'] = constants_1.UA;
    }
    return axios_1.default.create({
        baseURL
    });
};
exports.request = request;
/**
 *
 * @description Set i18n language
 * @param {string} language The language to set
 *
 */
const setLanguage = (language) => {
    axios_1.default.defaults.headers.common['x-rpc-language'] = language;
};
exports.setLanguage = setLanguage;
